#!/bin/bash

. lib.sh

main() {
	ln -s ../nop-highprio/*.txt .
}

plot_cmds() {
    cat <<'EOF'
set title "Single GW job for all messages, no modifications, high (soft)irq task priority"
set grid
set xlabel "Time [s]"
set ylabel "Latency [ms]"
plot [:] [:0.5] \
          "len2-msgs.txt" using 2:(1000*$14) with points title "2 byte messages", \
          "len4-msgs.txt" using 2:(1000*$14) with points title "4 byte messages", \
          "len6-msgs.txt" using 2:(1000*$14) with points title "6 byte messages", \
          "len8-msgs.txt" using 2:(1000*$14) with points title "8 byte messages"
EOF
}
    
test_end
    
